#!/usr/bin/perl -w

my $password="MyGod";
my $guard_ip="127.0.0.1";
my $guard_port="6688";

chop(my $my_hostname = `/bin/hostname`);
my @command = ();

# subroutines
sub usage(){
  print "Usage: $0 unblock_ip\n";
}

sub talk2guard{
  my $obj = Net::Telnet->new(Host => $guard_ip,
                          Port => $guard_port,
                          #Dump_Log => 'dump.log',
                          #Input_log => 'input.log',
                          #Output_log => 'output.log',
                          Prompt => '/>> $/',
                          Timeout => 60);

  $obj->print("$password");

  my $line = $obj->getline; print "$line";

  foreach (@command) {
    print ">> $_\n";
    $obj->cmd("$_");
    $line = $obj->getline; print "$line";
  }

  $obj->cmd("exit");
  $obj->close;
}

# main
# check input arguments
if ($#ARGV != 0) {
  usage();
  exit;
}

my $unblock_ip = $ARGV[0];
my $subnet;
if ( $unblock_ip =~ /^(\d+\.\d+\.\d+)\.\d+$/ ) {
  $subnet = $1;
} else {
  print "Error: wrong ip $unblock_ip\n";
  usage();
  exit;
}

if ( -f "/usr/local/netguard2/spool/block/$unblock_ip" ) {
  if ( -f "/usr/local/netguard2/spool/book/$unblock_ip" ) {
    print "Warning: $unblock_ip has booked already!\n";
  } else {
    print "BOOK_UNBLOCK_IP $unblock_ip\n";
    push @command, "BOOK_UNBLOCK_IP $unblock_ip";
    talk2guard();
  }
} else {
  print "Error: $unblock_ip does not be blocked.\n";
} 
