#!/usr/bin/perl
#
#
# Mu-Cheng Hsieh <mucheng@cc.nthu.edu.tw>
# 2003/10/10
#
require "/usr/local/netguard2/etc/netguard.conf";
require "$lib_dir/netguard.pm";

sub usage{
  print "Error: $0 router_ip cmd\n";
  print "Example: $0 140.114.1.6 show access-list\n";
  exit;
}
#
# main
#

#($router_ip, $router_type, $router_login, $router_password, $router_comment);

# input argument
$router_ip = $ARGV[0];
usage() if ( check_ip_format($router_ip) );

my $argc = @ARGV;
my $i;
for ($i = 1; $i < @ARGV; $i++) {
  $cmd = "$cmd $ARGV[$i]";
}

&login_router;
print $sock->cmd("$cmd");
&logout_router;

print "\n";
