#!/usr/bin/perl -w

my $password="MyGod";
my $guard_ip="127.0.0.1";
my $guard_port="6688";

chop(my $my_hostname = `/bin/hostname`);
my @command = ();

# subroutines
sub usage(){
  print "Usage: $0 block_ip block_reason block_comment\n";
}

sub talk2guard{
  my $obj = Net::Telnet->new(Host => $guard_ip,
                          Port => $guard_port,
                          #Dump_Log => 'dump.log',
                          #Input_log => 'input.log',
                          #Output_log => 'output.log',
                          Prompt => '/>> $/',
                          Timeout => 60);

  $obj->print("$password");

  my $line = $obj->getline; print "$line";

  foreach (@command) {
    print ">> $_\n";
    $obj->cmd("$_");
    $line = $obj->getline; print "$line";
  }

  $obj->cmd("exit");
  $obj->close;
}

# main
# check input arguments
if ($#ARGV != 2) {
  usage();
  exit;
}

my $block_ip = $ARGV[0];
my $subnet;
if ( $block_ip =~ /^(\d+\.\d+\.\d+)\.\d+$/ ) {
  $subnet = $1;
} else {
  print "Error: wrong ip $block_ip\n";
  usage();
  exit;
}

my $block_reason = $ARGV[1];
if ( $block_reason eq ''){
  print "Error: null block_reason\n";
  usage();
  exit;
}

my $block_comment = $ARGV[2];
if ( $block_reason eq ''){
  print "Error: null block_reason\n";
  usage();
  exit;
}

print "BLOCK_IP $block_ip $block_reason $block_comment\n";
push @command, "BLOCK_IP $block_ip $block_reason $block_comment";
talk2guard();
