#!/usr/bin/perl -w
#
#
# Mu-Cheng Hsieh <mucheng@cc.nthu.edu.tw>
# 2003/10/13

# local configuration
my ($my_peeraddr, $my_timestamp, $my_time, $my_ymd, $my_hms);
my $queue_dir = "/usr/local/netguard/spool";
my $book_queue_dir = "$queue_dir/book";
my $request_queue_dir = "$queue_dir/request";

# main
open BAN, "/bin/ls $book_queue_dir|";
my @lines = <BAN>;
close BAN;

foreach (@lines){
  chop;
  #print "$_ -> $my_time,BOOK,$_\n";
  gettime();
  print "$book_queue_dir/$_ ->\n$request_queue_dir/$my_time,BOOK,$_\n"; 
  open FH, ">> $book_queue_dir/$_";
  print FH "REQUEST_ID: $my_time,BOOK,$_\n";
  close FH;
  rename "$book_queue_dir/$_", "$request_queue_dir/$my_time,BOOK,$_"; 
}

exit;
sub gettime{
  use Time::HiRes qw(gettimeofday);
  my ($seconds, $microseconds) = split /\./, gettimeofday;
  $my_timestamp = $seconds;
  my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst)
     = localtime ($my_timestamp);
  $year+=1900;
  $mon++;
  $my_ymd = sprintf("%04d%02d%02d", $year, $mon, $mday);
  $my_hms = sprintf("%02d:%02d:%02d", $hour, $min, $sec);
  $my_time = sprintf("%8s.%8s.%s", $my_ymd, $my_hms, $microseconds);
}
